Get Default Vpc Connectivity Profile

Get Default Vpc Connectivity Profile
Retrieve the default VPC connectivity profile.

Retrieves default VPC connectivity profile for networking workloads running within the region and Organization specified by Regional Networking Setting.

Request
URI
GET
https://{api_host}/cloudapi/v1/regionalNetworkingSettings/{settingId}/defaultVpcConnectivityProfile
COPY
Path Parameters
string
settingId
Required

settingId


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns VpcConnectivityProfile of type(s) application/json;version=9.1.0
{
    "name": "string",
    "externalCidrBlocks": "172.10.0.0/16,10.10.0.0/16",
    "serviceEdgeClusterRef": {
        "name": "string",
        "id": "string"
    },
    "virtualNetworkApplianceClusterRef": {
        "name": "string",
        "id": "string"
    },
    "qosConfig": {
        "ingressProfile": {
            "id": "string",
            "name": "string",
            "type": "string",
            "committedBandwidthMbps": 0,
            "burstSizeBytes": 0
        },
        "egressProfile": {
            "id": "string",
            "name": "string",
            "type": "string",
            "committedBandwidthMbps": 0,
            "burstSizeBytes": 0
        }
    }
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/cloudapi/v1/regionalNetworkingSettings/{settingId}/defaultVpcConnectivityProfile